Creates a new Contract object

Request Information

URI Parameters :

None.

Body Parameters :

contract
NameDescriptionTypeAdditional information
id

Primary key

globally unique identifier

Required

id2

id2

integer

Required

company_id

The company owner of this contract

globally unique identifier

Optionally required : company_id, company_code or company must be provided

company_code

Embedded entity "company" using ERP PK when adding/updating contract

string

Optionally required : company_id, company_code or company must be provided

company

Embedded entity "company" when adding/updating contract

company

Optionally required : company_id, company_code or company must be provided

reference

Reference

string
reference_back_office

Backoffice reference

string
reference_customer

Customer Reference

string
date_start

Start Date of the contract

date
date_end

Contract End date

date
date_cancel

Readonly , date +time when the contract goes in status Cancelled

date
date_last_invoiced

Readonly contains the last date an invoice has been generated for this contract

date
name

Name of the contract

string
description

Description of Contract

string
feelist_id

Feelist ID

globally unique identifier
article_price_label_id

Article Price Llabel Id

globally unique identifier
account_manager_user_id

FK of Account manager user

globally unique identifier
account_manager_user

Embedded entity "account_manager_user" using ERP PK when adding/updating account_manager_user

user
account_manager_user_code

Embedded entity "account_manager_user" using ERP PK when adding/updating account_manager_user

string
modified_dateutc

Readonly system field managed by database, filled with GetUtcDate when adding,updating

date
renewal_term_months

Renewal Term Months

integer

Range: inclusive between 0 and 1000000

feelist_warranty_discount

Feelist Warranty Discount

decimal number

Range: inclusive between 0 and 100

price_label_warranty_discount

Price Label Warranty Discount

decimal number

Range: inclusive between 0 and 100

driving_distance

Distance in km that are used to invoice the travel

decimal number
travel_fee_fix_discount

Discount applied when computing the fee for travel

decimal number

Request Formats :

application/json, text/json

Sample:
{
  "id": "c4cc8340-043f-41eb-a614-595705d9d23c",
  "id2": 2,
  "company_id": "f6b1903d-585e-471e-89c3-72f6cce0bf51",
  "company_code": "sample string 4",
  "reference": "sample string 5",
  "reference_back_office": "sample string 6",
  "reference_customer": "sample string 7",
  "date_start": "2026-11-12T19:21:10.7225795+00:00",
  "date_end": "2026-11-12T19:21:10.7225795+00:00",
  "date_cancel": "2026-11-12T19:21:10.7225795+00:00",
  "date_last_invoiced": "2026-11-12T19:21:10.7225795+00:00",
  "name": "sample string 12",
  "description": "sample string 13",
  "feelist_id": "1f37bac2-2adf-4baf-8855-c5c73ac0618b",
  "article_price_label_id": "5845b804-9a50-4ab8-bdf6-66319af25ea4",
  "account_manager_user_id": "270a0553-4dbb-4fb3-873d-613efd5f95a0",
  "account_manager_user": {
    "id": "f6018554-b317-488b-9478-f3fcbf83d442",
    "db_language_id": "96b12875-ecb1-4cfd-9bea-5b181f444c02",
    "username": "sample string 3",
    "firstname": "sample string 4",
    "lastname": "sample string 5",
    "code": "sample string 6",
    "archived": true,
    "disabled": true,
    "emergency_contact": "sample string 9",
    "bankaccount": "sample string 10",
    "social_security": "sample string 11",
    "place_of_birth": "sample string 12",
    "nationality": "sample string 13",
    "functions": "sample string 14",
    "birthdate": "2026-11-12T19:21:10.7225795+00:00",
    "skype": "sample string 16",
    "notes": "sample string 17",
    "sales_organization_id": "037915ed-864f-4992-8344-0d107717f6f0",
    "sales_organization": {
      "id": "f07bc715-259f-46f2-9ff2-174004ed7a16",
      "code": "sample string 2",
      "name": "sample string 3",
      "description": "sample string 4",
      "db_country_id": "f3df5a3c-0f10-442f-b1f5-8860ec203b31",
      "db_currency_id": "eeecf044-73f8-4b04-88fa-12b2283af213",
      "db_language_id": "29a98906-b9b5-40c9-b258-cefd35fac159",
      "accountancy_code": "sample string 8",
      "archived": true,
      "default_unit_of_measure_system_type": "sample string 10",
      "street": "sample string 11",
      "street2": "sample string 12",
      "street_number": "sample string 13",
      "zip": "sample string 14",
      "city": "sample string 15",
      "email": "sample string 16",
      "phone": "sample string 17",
      "fax": "sample string 18",
      "url": "sample string 19",
      "vat_reg_code": "sample string 20",
      "modified_dateutc": "2026-11-12T19:21:10.7225795+00:00"
    },
    "sales_organization_code": "sample string 19",
    "is_team_leader": true,
    "team_leader_user_id": "060772a4-0c40-4639-bc0b-40694d1a2ddc",
    "email": "sample string 22",
    "phone": "sample string 23",
    "fax": "sample string 24",
    "mobile": "sample string 25",
    "private_email": "sample string 26",
    "private_phone": "sample string 27",
    "private_fax": "sample string 28",
    "private_mobile": "sample string 29",
    "private_street": "sample string 30",
    "private_street_number": "sample string 31",
    "private_city": "sample string 32",
    "private_zip": "sample string 33",
    "private_db_country_id": "2dc2bc0e-593e-46d8-99c7-385ef0a6eb8d",
    "private_db_country_code": "sample string 35",
    "modified_dateutc": "2026-11-12T19:21:10.7225795+00:00",
    "allow_hero_app": true,
    "allow_sales_app": true,
    "allow_service_app": true,
    "user_group_id": "f57f2e8e-25cb-46c0-b28a-ab598539b3fc"
  },
  "account_manager_user_code": "sample string 17",
  "modified_dateutc": "2026-11-12T19:21:10.7225795+00:00",
  "renewal_term_months": 19,
  "feelist_warranty_discount": 20.0,
  "price_label_warranty_discount": 21.0,
  "driving_distance": 22.0,
  "travel_fee_fix_discount": 23.0
}

Response Information

Resource Description :

IHttpActionResult

None.

Response Formats

application/json, text/json

Sample:

Sample not available.